Go to the latest version of this document.

# ``twisted`.`conch`.`unix`.`UnixSSHRealm``

class documentation

`class UnixSSHRealm: (source)`

Implements interfaces: `twisted.cred.portal.IRealm`

View In Hierarchy

Undocumented

Method | `requestAvatar` | Return avatar which provides one of the given interfaces.

def requestAvatar(self, username: `bytes | tuple[]`, mind: `object`, *interfaces: `portal._InterfaceItself`) -> `tuple[portal._InterfaceItself, UnixConchUser, Callable[[], None]]`: (source)
from `twisted.cred.portal.IRealm`

Return avatar which provides one of the given interfaces.

Parameters
username:`bytes | tuple[]` | Undocumented
mind:`object` | usually None. See the description of mind in `Portal.login`.
*interfaces:`portal._InterfaceItself` | the interface(s) the returned avatar should implement, e.g. `IMailAccount`. See the description of `Portal.login`.
avatarId | a string that identifies an avatar, as returned by `ICredentialsChecker.requestAvatarId` (via a Deferred). Alternatively, it may be `twisted.cred.checkers.ANONYMOUS`.

Returns
`tuple[portal._InterfaceItself, UnixConchUser, Callable[[], None]]` | a deferred which will fire a tuple of (interface, avatarAspect, logout), or the tuple itself. The interface will be one of the interfaces passed in the 'interfaces' argument. The 'avatarAspect' will implement that interface. The 'logout' object is a callable which will detach the mind from the avatar.